Index: reactapp/package-lock.json
===================================================================
--- reactapp/package-lock.json	(revision d654c748e3eb49b1d42cdf3b8853dd459ef91729)
+++ reactapp/package-lock.json	(revision 74b8c52fa81ccf719df2918862b772b30fda4c1a)
@@ -24,5 +24,4 @@
         "react-scripts": "5.0.1",
         "styled-components": "^5.3.5",
-        "transliteration": "^2.3.5",
         "web-vitals": "^2.1.4"
       }
@@ -15706,44 +15705,4 @@
       }
     },
-    "node_modules/transliteration": {
-      "version": "2.3.5",
-      "resolved": "https://registry.npmjs.org/transliteration/-/transliteration-2.3.5.tgz",
-      "integrity": "sha512-HAGI4Lq4Q9dZ3Utu2phaWgtm3vB6PkLUFqWAScg/UW+1eZ/Tg6Exo4oC0/3VUol/w4BlefLhUUSVBr/9/ZGQOw==",
-      "dependencies": {
-        "yargs": "^17.5.1"
-      },
-      "bin": {
-        "slugify": "dist/bin/slugify",
-        "transliterate": "dist/bin/transliterate"
-      },
-      "engines": {
-        "node": ">=6.0.0"
-      }
-    },
-    "node_modules/transliteration/node_modules/yargs": {
-      "version": "17.5.1",
-      "resolved": "https://registry.npmjs.org/yargs/-/yargs-17.5.1.tgz",
-      "integrity": "sha512-t6YAJcxDkNX7NFYiVtKvWUz8l+PaKTLiL63mJYWR2GnHq2gjEWISzsLp9wg3aY36dY1j+gfIEL3pIF+XlJJfbA==",
-      "dependencies": {
-        "cliui": "^7.0.2",
-        "escalade": "^3.1.1",
-        "get-caller-file": "^2.0.5",
-        "require-directory": "^2.1.1",
-        "string-width": "^4.2.3",
-        "y18n": "^5.0.5",
-        "yargs-parser": "^21.0.0"
-      },
-      "engines": {
-        "node": ">=12"
-      }
-    },
-    "node_modules/transliteration/node_modules/yargs-parser": {
-      "version": "21.0.1",
-      "resolved": "https://registry.npmjs.org/yargs-parser/-/yargs-parser-21.0.1.tgz",
-      "integrity": "sha512-9BK1jFpLzJROCI5TzwZL/TU4gqjK5xiHV/RfWLOahrjAko/e4DJkRDZQXfvqAsiZzzYhgAzbgz6lg48jcm4GLg==",
-      "engines": {
-        "node": ">=12"
-      }
-    },
     "node_modules/tryer": {
       "version": "1.0.1",
@@ -28062,33 +28021,4 @@
       }
     },
-    "transliteration": {
-      "version": "2.3.5",
-      "resolved": "https://registry.npmjs.org/transliteration/-/transliteration-2.3.5.tgz",
-      "integrity": "sha512-HAGI4Lq4Q9dZ3Utu2phaWgtm3vB6PkLUFqWAScg/UW+1eZ/Tg6Exo4oC0/3VUol/w4BlefLhUUSVBr/9/ZGQOw==",
-      "requires": {
-        "yargs": "^17.5.1"
-      },
-      "dependencies": {
-        "yargs": {
-          "version": "17.5.1",
-          "resolved": "https://registry.npmjs.org/yargs/-/yargs-17.5.1.tgz",
-          "integrity": "sha512-t6YAJcxDkNX7NFYiVtKvWUz8l+PaKTLiL63mJYWR2GnHq2gjEWISzsLp9wg3aY36dY1j+gfIEL3pIF+XlJJfbA==",
-          "requires": {
-            "cliui": "^7.0.2",
-            "escalade": "^3.1.1",
-            "get-caller-file": "^2.0.5",
-            "require-directory": "^2.1.1",
-            "string-width": "^4.2.3",
-            "y18n": "^5.0.5",
-            "yargs-parser": "^21.0.0"
-          }
-        },
-        "yargs-parser": {
-          "version": "21.0.1",
-          "resolved": "https://registry.npmjs.org/yargs-parser/-/yargs-parser-21.0.1.tgz",
-          "integrity": "sha512-9BK1jFpLzJROCI5TzwZL/TU4gqjK5xiHV/RfWLOahrjAko/e4DJkRDZQXfvqAsiZzzYhgAzbgz6lg48jcm4GLg=="
-        }
-      }
-    },
     "tryer": {
       "version": "1.0.1",
Index: reactapp/package.json
===================================================================
--- reactapp/package.json	(revision d654c748e3eb49b1d42cdf3b8853dd459ef91729)
+++ reactapp/package.json	(revision 74b8c52fa81ccf719df2918862b772b30fda4c1a)
@@ -19,5 +19,4 @@
     "react-scripts": "5.0.1",
     "styled-components": "^5.3.5",
-    "transliteration": "^2.3.5",
     "web-vitals": "^2.1.4"
   },
Index: reactapp/src/App.js
===================================================================
--- reactapp/src/App.js	(revision d654c748e3eb49b1d42cdf3b8853dd459ef91729)
+++ reactapp/src/App.js	(revision 74b8c52fa81ccf719df2918862b772b30fda4c1a)
@@ -1,5 +1,4 @@
 import { Outlet } from "react-router-dom";
 import { MainWrapper, MainTitle } from "./Components/Main.style";
-import Search from "./Components/Search.js";
 
 export default function App() {
@@ -16,5 +15,5 @@
         }
       </style>
-      <MainTitle>profesori.mk</MainTitle> <Search />
+      <MainTitle>profesori.mk</MainTitle>
       <Outlet />
     </MainWrapper>
Index: reactapp/src/Components/Main.style.js
===================================================================
--- reactapp/src/Components/Main.style.js	(revision d654c748e3eb49b1d42cdf3b8853dd459ef91729)
+++ reactapp/src/Components/Main.style.js	(revision 74b8c52fa81ccf719df2918862b772b30fda4c1a)
@@ -17,5 +17,3 @@
   text-decoration: underline 3px;
   margin-bottom: 30px;
-  width: fit-content;
-  float: left;
 `;
Index: reactapp/src/Components/ProfessorCard.style.js
===================================================================
--- reactapp/src/Components/ProfessorCard.style.js	(revision d654c748e3eb49b1d42cdf3b8853dd459ef91729)
+++ reactapp/src/Components/ProfessorCard.style.js	(revision 74b8c52fa81ccf719df2918862b772b30fda4c1a)
@@ -6,5 +6,4 @@
   padding: 10px;
   margin-bottom: 30px;
-  margin-top: 140px;
 `;
 
Index: reactapp/src/Components/Search.js
===================================================================
--- reactapp/src/Components/Search.js	(revision d654c748e3eb49b1d42cdf3b8853dd459ef91729)
+++ reactapp/src/Components/Search.js	(revision 74b8c52fa81ccf719df2918862b772b30fda4c1a)
@@ -1,71 +1,0 @@
-import React, { useEffect, useState } from "react";
-import JSOG from "jsog";
-import { transliterate } from "../Util/transliterate";
-import {
-  SearchDropdownResultSmall,
-  SearchDropdownTextSmall,
-  SearchDropdownSmall,
-  SearchDropdownResultLinkSmall,
-  SearchSmall,
-} from "./Search.style";
-function Search() {
-  const [query, setQuery] = useState("");
-  const [professors, setProfessors] = useState([]);
-
-  useEffect(() => {
-    const url = `http://192.168.0.17:8080/public/professors/nameContains/${transliterate(
-      query
-    )}`;
-
-    const fetchData = async () => {
-      try {
-        const response = await fetch(url);
-        var cyclicGraph = await response.json();
-        var jsogStructure = JSOG.encode(cyclicGraph); // has { '@ref': 'ID' } links instead of cycles
-        cyclicGraph = JSOG.decode(jsogStructure);
-        setProfessors(cyclicGraph);
-        //setLoaded(true);
-      } catch (error) {
-        console.log("Error", error);
-      }
-    };
-
-    if (query.length > 2) fetchData();
-  }, [query]);
-
-  return (
-    <div
-      style={{
-        position: "relative",
-        width: "fit-content",
-        float: "right",
-      }}
-    >
-      <SearchSmall
-        placeholder="Пребарувај..."
-        onChange={(e) => setQuery(e.target.value)}
-      />
-      <SearchDropdownSmall
-        display={query.length > 2 && professors.length > 0 ? "block" : "none"}
-      >
-        {query.length > 2 &&
-          professors.slice(0, 7).map((professor) => (
-            <SearchDropdownResultSmall key={professor.professorId}>
-              <SearchDropdownResultLinkSmall
-                href={"/professor/" + professor.professorId}
-              >
-                <SearchDropdownTextSmall weight="bold" size="medium">
-                  {professor.professorName}
-                </SearchDropdownTextSmall>
-                <SearchDropdownTextSmall weight="normal" size="smaller">
-                  {professor.faculty.facultyName}
-                </SearchDropdownTextSmall>
-              </SearchDropdownResultLinkSmall>
-            </SearchDropdownResultSmall>
-          ))}
-      </SearchDropdownSmall>
-    </div>
-  );
-}
-
-export default Search;
Index: actapp/src/Components/Search.style.js
===================================================================
--- reactapp/src/Components/Search.style.js	(revision d654c748e3eb49b1d42cdf3b8853dd459ef91729)
+++ 	(revision )
@@ -1,46 +1,0 @@
-import styled from "styled-components";
-import searchicon from "../searchicon.png";
-
-export const SearchSmall = styled.input`
-  width: 350px;
-  box-sizing: border-box;
-  border: 2px solid #ccc;
-  font-size: 16px;
-  background-color: #f9f9f9;
-  background-image: url(${searchicon});
-  background-position: 10px 10px;
-  background-repeat: no-repeat;
-  padding: 12px 20px 12px 40px;
-  margin-top: 10px;
-`;
-
-export const SearchDropdownSmall = styled.div`
-  display: ${(props) => props.display};
-  position: absolute;
-  background-color: #f9f9f9;
-  min-width: 160px;
-  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
-  padding: 12px 16px;
-  z-index: 1;
-  width: 350px;
-  padding: 0;
-`;
-
-export const SearchDropdownResultSmall = styled.div`
-  &:hover {
-    background-color: papayawhip;
-    border: 1px solid blue;
-    text-decoration: underline 1px blue;
-  }
-  padding: 10px;
-`;
-
-export const SearchDropdownResultLinkSmall = styled.a`
-  text-decoration: none;
-  color: black;
-`;
-
-export const SearchDropdownTextSmall = styled.p`
-  font-weight: ${(props) => props.weight};
-  font-size: ${(props) => props.size};
-`;
Index: reactapp/src/Pages/Professor.js
===================================================================
--- reactapp/src/Pages/Professor.js	(revision d654c748e3eb49b1d42cdf3b8853dd459ef91729)
+++ reactapp/src/Pages/Professor.js	(revision 74b8c52fa81ccf719df2918862b772b30fda4c1a)
@@ -3,4 +3,10 @@
 import JSOG from "jsog";
 import OpinionTree from "../Components/OpinionTree";
+import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
+import {
+  solid,
+  regular,
+  brands,
+} from "@fortawesome/fontawesome-svg-core/import.macro";
 
 import {
@@ -64,5 +70,5 @@
     return (
       <div>
-        <p style={{ marginTop: "140px" }}>се вчитува...</p>
+        <p>loading</p>
         <Outlet />
       </div>
Index: actapp/src/Util/transliterate.js
===================================================================
--- reactapp/src/Util/transliterate.js	(revision d654c748e3eb49b1d42cdf3b8853dd459ef91729)
+++ 	(revision )
@@ -1,65 +1,0 @@
-export const transliterate = (name) => {
-  return name
-    .replaceAll("Sh", "Ш")
-    .replaceAll("sh", "ш")
-    .replaceAll("Dzh", "Џ")
-    .replaceAll("dzh", "џ")
-    .replaceAll("Ch", "Ч")
-    .replaceAll("ch", "ч")
-    .replaceAll("Кј", "Ќ")
-    .replaceAll("kj", "ќ")
-    .replaceAll("Nj", "Њ")
-    .replaceAll("nj", "њ")
-    .replaceAll("Lj", "Љ")
-    .replaceAll("lj", "љ")
-    .replaceAll("Dz", "Ѕ")
-    .replaceAll("dz", "ѕ")
-    .replaceAll("Zh", "Ж")
-    .replaceAll("zh", "ж")
-    .replaceAll("Gj", "Ѓ")
-    .replaceAll("gj", "ѓ")
-    .replaceAll("A", "A")
-    .replaceAll("a", "а")
-    .replaceAll("B", "Б")
-    .replaceAll("b", "б")
-    .replaceAll("V", "В")
-    .replaceAll("v", "в")
-    .replaceAll("G", "Г")
-    .replaceAll("g", "г")
-    .replaceAll("D", "Д")
-    .replaceAll("d", "д")
-    .replaceAll("E", "Е")
-    .replaceAll("e", "е")
-    .replaceAll("Z", "З")
-    .replaceAll("z", "з")
-    .replaceAll("I", "И")
-    .replaceAll("i", "и")
-    .replaceAll("J", "Ј")
-    .replaceAll("j", "ј")
-    .replaceAll("K", "К")
-    .replaceAll("k", "к")
-    .replaceAll("L", "Л")
-    .replaceAll("l", "л")
-    .replaceAll("M", "М")
-    .replaceAll("m", "м")
-    .replaceAll("N", "Н")
-    .replaceAll("n", "н")
-    .replaceAll("O", "О")
-    .replaceAll("o", "о")
-    .replaceAll("P", "П")
-    .replaceAll("p", "п")
-    .replaceAll("R", "Р")
-    .replaceAll("r", "р")
-    .replaceAll("S", "С")
-    .replaceAll("s", "с")
-    .replaceAll("T", "Т")
-    .replaceAll("t", "т")
-    .replaceAll("U", "У")
-    .replaceAll("u", "у")
-    .replaceAll("F", "Ф")
-    .replaceAll("f", "ф")
-    .replaceAll("H", "Х")
-    .replaceAll("h", "х")
-    .replaceAll("C", "Ц")
-    .replaceAll("c", "ц");
-};
